/*
 * PmodGYRO.h
 *
 *  Created on: Nov 22, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODGYRO_H_
#define PMODGYRO_H_

#include <stdint.h>

/**
 * @brief Configure Pmod connector pins. The INT2 line is not used in the example.
 *        PB0  -> CS
 *        PA7  -> SDI
 *        PE14 -> SDO
 *        PA1  -> SCL
 *        PE12 -> INT1
 *        PE13 -> INT2
 */
void PmodGYRO_Config(void);

/**
 * @brief Read and clear the interrupt status register.
 */
uint8_t PmodGYRO_ReadInterruptFlags(void);

#endif /* PMODGYRO_H_ */
